<template>
  <v-container fluid>
    <v-row :id="settings.id || null" :class="settings.class" :style="settings.style">
      <v-col
        v-for="(col, i) in columns"
        :id="col.id || null"
        :key="`com-grid__col-${i}`"
        :class="col.class"
        :style="col.style"
        :cols="col.cols"
      >
        <page-content :layout="col.children"></page-content>
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
export default {
  props: {
    layout: {
      type: Object,
      required: true,
    },
  },

  computed: {
    settings() {
      return this.layout.settings
    },

    columns() {
      const { columns } = this.layout
      return columns.map(column => ({
        ...column.settings,
        cols: !column.settings.class ? Math.floor(12 / columns.length) : null,
        children: column.children,
      }))
    },
  },
}
</script>
